Skip to main content
GET
/
agents
/
default
Get default agent
curl --request GET \
  --url https://api.onecli.sh/v1/agents/default \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "identifier": "<string>",
  "isDefault": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "_count": {
    "agentSecrets": 123,
    "agentAppConnections": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://onecli.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Response

Default agent

id
string
name
string
identifier
string
isDefault
boolean
secretMode
enum<string>
Available options:
all,
selective
createdAt
string<date-time>
_count
object